'use client';
import NextLink from 'next/link';
import { usePathname } from 'next/navigation';
import React, { forwardRef, useEffect, useState } from 'react';
import localizeHref from '../client/localizeHref';
/**
 * Wraps `next/link` and prefixes the `href` with the current locale.
 */
function Link({ href, locale, ...rest }, ref) {
    const [localizedHref, setLocalizedHref] = useState(href);
    const pathname = usePathname();
    useEffect(() => {
        setLocalizedHref(localizeHref(href, locale));
    }, [href, locale, pathname]);
    return React.createElement(NextLink, { ref: ref, href: localizedHref, ...rest });
}
export default forwardRef(Link);
//# sourceMappingURL=Link.js.map